Subject: Re: [bug#27355] [PATCH 7/7] gnu: Add pulseview.

From: Danny Milosavljevic <[email-masked]>
Date: Sat, 24 Jun 2017 08:06:52 +0200

Hi,

On Thu, 22 Jun 2017 02:31:14 +0300
Theodoros Foradis <[email-masked]> wrote:

> It does build with qtbase and qtsvg, but icons are missing from the
> ui. I didn't manage to find which package provides them, having tried a
> few.
> 
> Any ideas what that [package] may be? 

I don't know, sorry.

For the file names of the icons, you can try starting pulseview under strace:

$ strace pulseview 2>&1 |grep -i -E "(png|svg)"

>Or should we keep qt as a dependency?

Yeah, let's use the older Qt for now.

I hope someone else chimes in and we can update it somewhen.

I don't like depending on older versions of things much.  It's just asking for problems which have been fixed in newer versions already.  But in this case apparently it's the other way around...